<template>
  <div class="detail">
    <component-menu/>
    <component-detail/>
    <store-info/>
  </div>
</template>
<script>
  import { ComponentMenu, ComponentDetail, StoreInfo } from '~components/product'
  export default {
    layout: 'main',
    components: {
      ComponentMenu,
      ComponentDetail,
      StoreInfo
    },
    fetch ({ store, route }) {
      return Promise.all([
        store.dispatch('loadComponentDetail', {id: route.params.uuid}),
        store.dispatch('loadComponentStore', {uuid: route.params.uuid}),
        store.dispatch('loadComponentInformation', {uuid: route.params.uuid})
      ])
    },
    created () {
    }
  }
</script>
